org.apache.lucene.search

## Class CachingWrapperFilter

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.Filter
    - - org.apache.lucene.search.CachingWrapperFilter

- All Implemented Interfaces:
    Cloneable, Accountable

  Deprecated.
  Use `CachingWrapperQuery` and `BooleanClause.Occur.FILTER` clauses instead

      @Deprecated
      public class CachingWrapperFilter
      extends Filter
      implements Accountable

  Wraps another `Filter`'s result and caches it. The purpose is to allow filters to simply filter, and then wrap with this class to add caching.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachingWrapperFilter(Filter filter)` Deprecated. Same as `CachingWrapperFilter(Filter, FilterCachingPolicy)` but enforces the use of the `FilterCachingPolicy.CacheOnLargeSegments.DEFAULT` policy.
    `CachingWrapperFilter(Filter filter, FilterCachingPolicy policy)` Deprecated. Wraps another filter's result and caches it according to the provided policy.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DocIdSet` | `cacheImpl(DocIdSetIterator iterator, LeafReader reader)` Deprecated. Default cache implementation: uses `RoaringDocIdSet`.
    `protected DocIdSet` | `docIdSetToCache(DocIdSet docIdSet, LeafReader reader)` Deprecated. Provide the DocIdSet to be cached, using the DocIdSet provided by the wrapped Filter.
    `boolean` | `equals(Object o)` Deprecated.
    `Collection<Accountable>` | `getChildResources()` Deprecated. Returns nested resources of this class.
    `DocIdSet` | `getDocIdSet(LeafReaderContext context, Bits acceptDocs)` Deprecated. Creates a `DocIdSet` enumerating the documents that should be permitted in search results.
    `Filter` | `getFilter()` Deprecated. Gets the contained filter.
    `int` | `hashCode()` Deprecated.
    `long` | `ramBytesUsed()` Deprecated. Return the memory usage of this object in bytes.
    `String` | `toString(String field)` Deprecated. Prints a query to a string, with `field` assumed to be the default field and omitted.

    - ### Methods inherited from class org.apache.lucene.search.Filter

      `rewrite`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, createWeight, getBoost, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CachingWrapperFilter

          public CachingWrapperFilter(Filter filter,
                              FilterCachingPolicy policy)

      Deprecated.
      Wraps another filter's result and caches it according to the provided policy.
      Parameters:
        `filter` - Filter to cache results of
        `policy` - policy defining which filters should be cached on which segments

    - #### CachingWrapperFilter

          public CachingWrapperFilter(Filter filter)

      Deprecated.
      Same as `CachingWrapperFilter(Filter, FilterCachingPolicy)` but enforces the use of the `FilterCachingPolicy.CacheOnLargeSegments.DEFAULT` policy.

  - ### Method Detail

    - #### getFilter

          public Filter getFilter()

      Deprecated.
      Gets the contained filter.
      Returns:
        the contained filter.

    - #### docIdSetToCache

          protected DocIdSet docIdSetToCache(DocIdSet docIdSet,
                                 LeafReader reader)
                                      throws IOException

      Deprecated.
      Provide the DocIdSet to be cached, using the DocIdSet provided by the wrapped Filter.

      This implementation returns the given `DocIdSet`, if `DocIdSet.isCacheable()` returns `true`, else it calls `cacheImpl(DocIdSetIterator, org.apache.lucene.index.LeafReader)`

      Note: This method returns DocIdSet.EMPTY if the given docIdSet is `null` or if `DocIdSet.iterator()` return `null`. The empty instance is use as a placeholder in the cache instead of the `null` value.

      Throws:
        `IOException`

    - #### cacheImpl

          protected DocIdSet cacheImpl(DocIdSetIterator iterator,
                           LeafReader reader)
                                throws IOException

      Deprecated.
      Default cache implementation: uses `RoaringDocIdSet`.
      Throws:
        `IOException`

    - #### getDocIdSet

          public DocIdSet getDocIdSet(LeafReaderContext context,
                             Bits acceptDocs)
                               throws IOException

      Deprecated.
      Description copied from class: `Filter`
      Creates a `DocIdSet` enumerating the documents that should be permitted in search results. NOTE: null can be returned if no documents are accepted by this Filter.

      Note: This method will be called once per segment in the index during searching. The returned `DocIdSet` must refer to document IDs for that segment, not for the top-level reader.

      Specified by:
        `getDocIdSet` in class `Filter`
      Parameters:
        `context` - a `LeafReaderContext` instance opened on the index currently searched on. Note, it is likely that the provided reader info does not represent the whole underlying index i.e. if the index has more than one segment the given reader only represents a single segment. The provided context is always an atomic context, so you can call `LeafReader.fields()` on the context's reader, for example.
        `acceptDocs` - Bits that represent the allowable docs to match (typically deleted docs but possibly filtering other documents)
      Returns:
        a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: `null` should be returned if the filter doesn't accept any documents otherwise internal optimization might not apply in the case an empty `DocIdSet` is returned.
      Throws:
        `IOException`

    - #### toString

          public String toString(String field)

      Deprecated.
      Description copied from class: `Query`
      Prints a query to a string, with `field` assumed to be the default field and omitted.
      Specified by:
        `toString` in class `Query`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Query`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Query`

    - #### ramBytesUsed

          public long ramBytesUsed()

      Deprecated.
      Description copied from interface: `Accountable`
      Return the memory usage of this object in bytes. Negative values are illegal.
      Specified by:
        `ramBytesUsed` in interface `Accountable`

    - #### getChildResources

          public Collection<Accountable> getChildResources()

      Deprecated.
      Description copied from interface: `Accountable`
      Returns nested resources of this class. The result should be a point-in-time snapshot (to avoid race conditions).
      Specified by:
        `getChildResources` in interface `Accountable`
      See Also:
        `Accountables`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.